{{ $htmlTable := .Inner | markdownify }}

{{ $table_class := .Get "table_class" | default "table table-striped table-hover" }}
{{ $thead_class := .Get "thead_class" | default "table-dark" }}

{{ $old_class := "<table>" }}    
{{ $new_class := printf "<table class=\"%s\">" $table_class }}
{{ $htmlTable = replace $htmlTable $old_class $new_class }}

{{ $old_thead := "<thead>" }}
{{ $new_thead := printf "<thead class=\"%s\">" $thead_class }}
{{ $htmlTable = replace $htmlTable $old_thead $new_thead }}

<div class="table-responsive">
{{ $htmlTable | safeHTML }}
</div>